From fa170fc99c76f6f3e8dc523177c9303e4fbb792d Mon Sep 17 00:00:00 2001
From: Adam Young <ayoung@redhat.com>
Date: Thu, 10 Nov 2011 21:41:08 -0500
Subject: [PATCH 15/17] Removal of unused private methods

These methods are uncallable.

There might be some discussion about the private default constructores.  The Rules of Java are different from C++:  If there is any constructor defined, all the other defaults befome uncallable.  Thus,  the private default constructors are not needed.

https://bugzilla.redhat.com/show_bug.cgi?id=728303
---
 .../ca/src/com/netscape/ca/CRLIssuingPoint.java    |    6 -
 .../cms/evaluators/UserOrigReqAccessEvaluator.java |    6 -
 .../netscape/cms/jobs/RenewalNotificationJob.java  |   21 -
 .../cms/listeners/CertificateRevokedListener.java  |   77 ---
 .../extensions/SubjectDirectoryAttributesExt.java  |   13 -
 .../netscape/cms/servlet/admin/CAAdminServlet.java |   68 --
 .../cms/servlet/admin/CMSAdminServlet.java         |  222 -------
 .../cms/servlet/admin/KRAAdminServlet.java         |  663 --------------------
 .../cms/servlet/admin/LogAdminServlet.java         |   98 ---
 .../cms/servlet/admin/OCSPAdminServlet.java        |   20 +-
 .../cms/servlet/admin/ProfileAdminServlet.java     |   15 -
 .../cms/servlet/admin/UsrGrpAdminServlet.java      |   29 -
 .../cms/servlet/cert/CMCRevReqServlet.java         |   88 ---
 .../netscape/cms/servlet/cert/CloneRedirect.java   |   15 -
 .../netscape/cms/servlet/cert/EnrollServlet.java   |   67 --
 .../com/netscape/cms/servlet/cert/GetCAChain.java  |    9 -
 .../com/netscape/cms/servlet/cert/ListCerts.java   |   82 ---
 .../cms/servlet/cert/scep/CRSEnrollment.java       |   15 +-
 .../netscape/cms/servlet/common/CMSTemplate.java   |   10 -
 .../cms/servlet/csadmin/DatabasePanel.java         |   17 -
 .../cms/servlet/csadmin/GetSubsystemCert.java      |   18 -
 .../com/netscape/cms/servlet/request/QueryReq.java |    9 -
 .../com/netscape/cms/servlet/tks/TokenServlet.java |   25 -
 .../src/com/netscape/cmscore/apps/CMSEngine.java   |   16 -
 .../ChallengePhraseAuthentication.java             |   10 -
 .../netscape/cmscore/base/SimpleProperties.java    |  134 ----
 .../com/netscape/cmscore/dbs/PublicKeyMapper.java  |   16 -
 .../com/netscape/cmscore/extensions/KeyUsage.java  |    4 -
 .../cmscore/policy/GenericPolicyProcessor.java     |   13 -
 .../src/com/netscape/cmscore/util/OsSubsystem.java |   55 --
 .../src/com/netscape/cmstools/PasswordCache.java   |   18 -
 .../src/com/netscape/kra/EnrollmentService.java    |   37 --
 pki/base/silent/src/argparser/StringScanner.java   |    8 -
 pki/base/silent/src/ca/UserEnroll.java             |    4 -
 pki/base/silent/src/ca/checkRequest.java           |   16 +-
 pki/base/silent/src/common/AutoInstaller.java      |  209 ------
 pki/base/silent/src/common/CMSConfig.java          |   59 --
 pki/base/silent/src/common/CMSLDAP.java            |   11 -
 pki/base/silent/src/common/ServerInfo.java         |   14 -
 pki/base/silent/src/common/TestClient.java         |   16 -
 .../util/src/com/netscape/cmsutil/ocsp/CertID.java |    1 -
 .../src/com/netscape/cmsutil/ocsp/OCSPRequest.java |    6 +-
 .../com/netscape/cmsutil/ocsp/OCSPResponse.java    |    5 -
 .../netscape/cmsutil/ocsp/OCSPResponseStatus.java  |    5 -
 .../src/com/netscape/cmsutil/ocsp/Request.java     |    5 -
 .../com/netscape/cmsutil/ocsp/ResponseBytes.java   |    5 -
 .../src/com/netscape/cmsutil/ocsp/Signature.java   |    5 -
 .../src/com/netscape/cmsutil/ocsp/TBSRequest.java  |    2 -
 .../security/extensions/OCSPNoCheckExtension.java  |    7 -
 .../util/src/netscape/security/pkcs/PKCS8Key.java  |   12 -
 .../util/src/netscape/security/provider/DSA.java   |   34 -
 .../util/src/netscape/security/provider/MD5.java   |    9 +-
 .../util/src/netscape/security/provider/SHA.java   |   14 -
 .../util/src/netscape/security/util/DerValue.java  |   18 -
 .../security/x509/CRLDistributionPoint.java        |    6 -
 .../x509/CRLDistributionPointsExtension.java       |    3 -
 .../x509/IssuingDistributionPointExtension.java    |    4 -
 .../util/src/netscape/security/x509/OIDMap.java    |   12 -
 .../src/netscape/security/x509/X509CRLImpl.java    |    6 -
 59 files changed, 5 insertions(+), 2387 deletions(-)

diff --git a/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java b/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
index f02d0905bd7030c7a15bc9fbc395172e687f5c4d..ada787bee0eab0b58e43d61d2f6954e2a13168ce 100644
--- a/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
+++ b/pki/base/ca/src/com/netscape/ca/CRLIssuingPoint.java
@@ -531,12 +531,6 @@ public class CRLIssuingPoint implements ICRLIssuingPoint, Runnable {
         return identical;
     }
 
-    private int getTimeListDays(Vector listedDays) {
-        int days = (listedDays != null)? listedDays.size(): 0;
-        CMS.debug("getTimeListDays: "+days);
-        return days;
-    }
-
     private int getTimeListSize(Vector listedDays) {
         int listSize = 0;
         for (int i = 0; listedDays != null && i < listedDays.size(); i++) {
diff --git a/pki/base/common/src/com/netscape/cms/evaluators/UserOrigReqAccessEvaluator.java b/pki/base/common/src/com/netscape/cms/evaluators/UserOrigReqAccessEvaluator.java
index 88358aa5883800f2d07bdb0087fb83e05a34822c..b1b406c095356d3c9a474557442b6777db5441d5 100644
--- a/pki/base/common/src/com/netscape/cms/evaluators/UserOrigReqAccessEvaluator.java
+++ b/pki/base/common/src/com/netscape/cms/evaluators/UserOrigReqAccessEvaluator.java
@@ -159,11 +159,5 @@ public class UserOrigReqAccessEvaluator implements IAccessEvaluator {
 
         return false;
     }
-    private void log(int level, String msg) {
-        if (mLogger == null)
-            return;
-        mLogger.log(ILogger.EV_SYSTEM, null, ILogger.S_ACLS,
-            level, "UserOrigReqAccessEvaluator: " + msg);
-    }
 
 }
diff --git a/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java b/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
index 59116bd911407905fb14e9eb417a35ef9d4c227f..0445ea4b73b45840aeadf5ceb45c58dcf27d5f0f 100644
--- a/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
+++ b/pki/base/common/src/com/netscape/cms/jobs/RenewalNotificationJob.java
@@ -487,27 +487,6 @@ public class RenewalNotificationJob
         }
     }
 
-    private String makeLDAPDateString(Date d) {
-		
-        String ldfYear = "" + Integer.toString(d.getYear());
-		
-        String ldfMonth = getPadded(d.getMonth());
-        String ldfDate = getPadded(d.getDate());
-        String ldfHours = getPadded(d.getHours());
-        String ldfMinutes = getPadded(d.getMinutes());
-        String ldfSeconds = getPadded(d.getSeconds());
-		
-        return ldfYear + ldfMonth + ldfDate + ldfHours + ldfMinutes + ldfSeconds + "Z";
-    }
-	
-    private String getPadded(int i) {
-        if (i < 10) {
-            return "0" + Integer.toString(i);
-        } else {
-            return  "" + Integer.toString(i);
-        }
-    }
-    
     /**
      * get instance id.
      * @return a String identifier
diff --git a/pki/base/common/src/com/netscape/cms/listeners/CertificateRevokedListener.java b/pki/base/common/src/com/netscape/cms/listeners/CertificateRevokedListener.java
index d1cc3d808a662bd5ee18c4f6478be054c01efc3d..ca62af5f37504fe005349be793336ca1c707a9c0 100644
--- a/pki/base/common/src/com/netscape/cms/listeners/CertificateRevokedListener.java
+++ b/pki/base/common/src/com/netscape/cms/listeners/CertificateRevokedListener.java
@@ -300,83 +300,6 @@ public class CertificateRevokedListener implements IRequestListener {
         }
     }
 
-    private void revoked(IRequest r) {
-        // do we have an email to send?
-        String mEmail = null;
-        IEmailResolverKeys keys = CMS.getEmailResolverKeys();
-
-        try {
-            keys.set(IEmailResolverKeys.KEY_REQUEST, r);
-        } catch (EBaseException e) {
-            log(ILogger.LL_FAILURE,
-                CMS.getLogMessage("LISTENERS_CERT_ISSUED_SET_RESOLVER", e.toString()));
-        }
-
-        IEmailResolver er = CMS.getReqCertSANameEmailResolver();
-
-        try {
-            mEmail = er.getEmail(keys);
-        } catch (ENotificationException e) {
-            log(ILogger.LL_FAILURE, CMS.getLogMessage("OPERATION_ERROR", e.toString()));
-        } catch (EBaseException e) {
-            log(ILogger.LL_FAILURE, CMS.getLogMessage("OPERATION_ERROR", e.toString()));
-        } catch (Exception e) {
-            log(ILogger.LL_FAILURE, CMS.getLogMessage("OPERATION_ERROR", e.toString()));
-        }
-
-        // now we can mail
-        if ((mEmail != null) && !mEmail.equals("")) {
-            IMailNotification mn = CMS.getMailNotification();
-
-            mn.setFrom(mSenderEmail);
-            mn.setTo(mEmail);
-            mn.setSubject(mSubject);
-
-            /*
-             * get rejection file from disk
-             */
-            IEmailTemplate template = CMS.getEmailTemplate(mRejectPath);
-
-            if (template != null) {
-                if (!template.init()) {
-                    return;
-                }
-			
-                if (template.isHTML()) {
-                    mn.setContentType("text/html");
-                }
-
-                // build some token data
-                mContentParams.put(IEmailFormProcessor.TOKEN_ID,
-                    mConfig.getName());
-                mReqId = r.getRequestId();
-                mContentParams.put(IEmailFormProcessor.TOKEN_REQUEST_ID,
-                    (Object) mReqId.toString());
-                IEmailFormProcessor et = CMS.getEmailFormProcessor();
-                String c = et.getEmailContent(template.toString(), mContentParams);
-
-                mn.setContent(c);
-            } else {
-                log(ILogger.LL_FAILURE, CMS.getLogMessage("LISTENERS_CERT_ISSUED_REJECTION"));
-                mn.setContent("Your Certificate Request has been revoked.  Please contact your administrator for assistance");
-            }
-
-            try {
-                mn.sendNotification();
-            } catch (ENotificationException e) {
-                // already logged, lets audit
-                log(ILogger.LL_FAILURE, CMS.getLogMessage("OPERATION_ERROR", e.toString()));
-				
-            } catch (IOException e) {
-                log(ILogger.LL_FAILURE, CMS.getLogMessage("OPERATION_ERROR", e.toString()));
-            }
-        } else {
-            log(ILogger.LL_FAILURE,
-                CMS.getLogMessage("LISTENERS_CERT_ISSUED_REJECTION_NOTIFICATION", mReqId.toString()));
-
-        }
-    }
-
     private void buildContentParams(RevokedCertImpl crlentries[], String mEmail) {
         mContentParams.put(IEmailFormProcessor.TOKEN_ID,
             mConfig.getName());
diff --git a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
index f3ef687df9addcb00048af4396b777ab0578c408..be858c9f0965c4a7a8928985634d35e286009979 100644
--- a/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
+++ b/pki/base/common/src/com/netscape/cms/policy/extensions/SubjectDirectoryAttributesExt.java
@@ -22,7 +22,6 @@ import java.io.IOException;
 import java.security.cert.CertificateException;
 import java.util.Enumeration;
 import java.util.Locale;
-import java.util.StringTokenizer;
 import java.util.Vector;
 
 import netscape.security.util.DerValue;
@@ -192,18 +191,6 @@ public class SubjectDirectoryAttributesExt extends APolicyRule
         } 
     }
 
-    private Vector formValues(String val) {
-        StringTokenizer tokenizer = new StringTokenizer(val, "+");
-        Vector v = new Vector();
-
-        while (tokenizer.hasMoreElements()) {
-            String s = (String) tokenizer.nextElement();   
-
-            v.addElement(s);
-        }
-        return v;
-    }
-
     public Vector getInstanceParams() {
         return mParams; // inited in init()
     }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
index 9b6f50b4f7353c53354d493249b0d79bca5546c4..d70d9e7914f180592af48d9e94e27bdb2815b1e4 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
@@ -1564,74 +1564,6 @@ public class CAAdminServlet extends AdminServlet {
             sendResponse(SUCCESS, null, null, resp);
     }
 
-    /**
-     * Retrieves configuration parameters of certificate
-     * authority.
-     */
-    private synchronized void getConfig(HttpServletRequest req, 
-        HttpServletResponse resp) throws ServletException, 
-            IOException, EBaseException {
-        // validate
-        super.getConfig(mCA.getConfigStore(), req, resp);
-    }
-
-    /**
-     * Sets configuration parameters of certificate
-     * authority.
-     */
-    private synchronized void setConfig(HttpServletRequest req, 
-        HttpServletResponse resp) throws ServletException, 
-            IOException, EBaseException {
-        super.setConfig(mCA.getConfigStore(), req, resp);
-        // XXX - commit changes
-    }
-
-    /**
-     * Lists configuration store parameters.
-     */
-    private synchronized void listConfig(HttpServletRequest req, 
-        HttpServletResponse resp) throws ServletException, 
-            IOException, EBaseException {
-        super.listConfig(mCA.getConfigStore(), req, resp);
-    }
-
-    /**
-     * Locks a request so that no one can modify it except
-     * owner.
-     */
-    private synchronized void lockRequest(HttpServletRequest req, 
-        HttpServletResponse resp) throws ServletException, 
-            IOException, EBaseException {
-        NameValuePairs params = new NameValuePairs();
-
-        // XXX
-        sendResponse(SUCCESS, null, params, resp);
-    }
-
-    /**
-     * Locks certificate record so that no one can
-     * modify it except owner.
-     */
-    private synchronized void lockCertRecord(HttpServletRequest req, 
-        HttpServletResponse resp) throws ServletException, 
-            IOException, EBaseException {
-        NameValuePairs params = new NameValuePairs();
-
-        sendResponse(SUCCESS, null, params, resp);
-    }
-
-    /**
-     * Modifies a cert record.
-     */
-    private synchronized void modifyCertRecord(HttpServletRequest req, 
-        HttpServletResponse resp) throws ServletException, 
-            IOException, EBaseException {
-        NameValuePairs params = new NameValuePairs();
-
-        // XXX
-        sendResponse(SUCCESS, null, params, resp);
-    }
-
     private void log(int level, String msg) {
         if (mLogger == null)
             return;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
index 1f2835bc2a97bfcc45ec887b3e49dff60852a9d7..16268f92288e2770d8eef7bf69cd54d906a18469 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/CMSAdminServlet.java
@@ -28,7 +28,6 @@ import java.io.PrintStream;
 import java.io.PrintWriter;
 import java.io.StringWriter;
 import java.math.BigInteger;
-import java.net.ServerSocket;
 import java.security.KeyPair;
 import java.util.Date;
 import java.util.Enumeration;
@@ -853,196 +852,6 @@ public final class CMSAdminServlet extends AdminServlet {
     }
 
     /**
-     * Modifies network information.
-     */
-    private void modifyNetworkConfig(HttpServletRequest req,
-        HttpServletResponse resp) throws ServletException,
-            IOException, EBaseException {
-
-        /*
-         HTTPSubsystem eeGateway = (HTTPSubsystem)
-         SubsystemRegistry.getInstance().get("eeGateway");
-         RemoteAdmin raAdmin = (RemoteAdmin)RemoteAdmin.getInstance();
-         AgentGateway agent = (AgentGateway)mReg.get(AgentGateway.ID);
-
-         Enumeration enum1 = req.getParameterNames();
-
-         String eeHTTPportString = null;
-         String eeHTTPSportString = null;
-         String agentHTTPSportString = null;
-         String radminHTTPSportString = null;
-
-         String gatewayBacklog = "15";
-
-         // eeHTTPEnabled corresponds to the checkbox which enables the
-        // HTTP EE port
-        String eeHTTPEnabled = Constants.FALSE;
-
-        while (enum1.hasMoreElements()) {
-        String key = (String)enum1.nextElement();
-        String value = (String)req.getParameter(key);
-
-        if (key.equals(Constants.PR_AGENT_S_BACKLOG)) {
-        agent.setHTTPSBacklog(value);
-        } else if (key.equals(Constants.PR_GATEWAY_S_BACKLOG)) {
-        eeGateway.setHTTPSBacklog(value);
-        } else if (key.equals(Constants.PR_ADMIN_S_BACKLOG)) {
-        raAdmin.setHTTPSBacklog(value);
-        } else if (key.equals(Constants.PR_GATEWAY_BACKLOG)) {
-        gatewayBacklog = value;
-        } else if (key.equals(Constants.PR_GATEWAY_PORT_ENABLED)) {
-        eeHTTPEnabled = value;
-        }
-        }
-
-
-        eeHTTPportString    = req.getParameter(Constants.PR_GATEWAY_PORT);
-        eeHTTPSportString   = req.getParameter(Constants.PR_GATEWAY_S_PORT);
-        agentHTTPSportString= req.getParameter(Constants.PR_AGENT_S_PORT);
-        radminHTTPSportString= req.getParameter(Constants.PR_ADMIN_S_PORT);
-
-
-        int eeHTTPport=0;
-        int eeHTTPSport=0;
-        int agentHTTPSport=0;
-        int radminHTTPSport=0;
-        if (eeHTTPportString != null)  eeHTTPport  = Integer.parseInt(eeHTTPportString);
-        if (eeHTTPSportString != null) eeHTTPSport = Integer.parseInt(eeHTTPSportString);
-        if (agentHTTPSportString != null) agentHTTPSport = Integer.parseInt(agentHTTPSportString);
-        if (radminHTTPSportString != null) radminHTTPSport = Integer.parseInt(radminHTTPSportString);
-
-        
-        String portName="";
-        int portnum;
-        try {
-
-        // EE HTTP is special, since it has it's own checkbox for enabling/disabling
-        if (eeHTTPEnabled.equals(Constants.TRUE) && 
-        eeHTTPport != 0 && 
-        eeHTTPport != eeGateway.getHTTPPort())
-        {
-        portName = "End-entity";
-        checkPortAvailable(eeHTTPport);
-        }
-
-        if (eeHTTPSport != 0 && eeHTTPSport != eeGateway.getHTTPSPort()) {
-        portName = "SSL End-entity";
-        checkPortAvailable(eeHTTPSport);
-        }
-        if (agentHTTPSport != 0 && agentHTTPSport != agent.getHTTPSPort()) {
-        portName = "Agent";
-        checkPortAvailable(agentHTTPSport);
-        }
-        if (radminHTTPSport != 0 && radminHTTPSport != raAdmin.getHTTPSPort()) {
-        portName = "Remote Admin";
-        checkPortAvailable(radminHTTPSport);
-        }
-
-        // If any of the above ports are not available, an exception 
-        // will be thrown and these methods below will not be called
-        
-        if (eeHTTPEnabled.equals(Constants.TRUE)) {
-        eeGateway.setHTTPPort(eeHTTPport);
-        }
-        eeGateway.setHTTPSPort(eeHTTPSport);
-        agent.setHTTPSPort(agentHTTPSport);
-        raAdmin.setHTTPSPort(radminHTTPSport);
-
-        } catch (IOException e) {
-        // send 'port in use' error
-        sendResponse(ERROR, portName+" "+e.getMessage(), null, resp);
-        // we do not want to save the config in this case
-        return;
-        }
-        
-        eeGateway.setHTTPBacklog(gatewayBacklog);
-        eeGateway.setHTTPPortEnable(eeHTTPEnabled);
-
-        mConfig.commit(true);
-        sendResponse(RESTART, null, null, resp);
-        */
-    }
-
-    /**
-     * Check if the port is available for binding.
-     * @throws IOException if not available
-     */
-
-    private void checkPortAvailable(int port)
-        throws IOException {
-        try {
-            // see if the port is being used by somebody else
-            ServerSocket ss = new ServerSocket(port);
-
-            ss.close();
-        } catch (Exception e) {
-            throw new IOException("port " + port + " is in use. Please select another port");
-        }
-    }
-
-    /**
-     * Reads network information.
-     */
-    private void readNetworkConfig(HttpServletRequest req,
-        HttpServletResponse resp) throws ServletException,
-            IOException, EBaseException {
-
-        NameValuePairs params = new NameValuePairs();
-
-        getEENetworkConfig(params);
-        getAdminConfig(params);
-        getAgentConfig(params);
-
-        sendResponse(SUCCESS, null, params, resp);
-    }
-
-    private void getEENetworkConfig(NameValuePairs params) 
-        throws EBaseException {
-
-        /*
-         HTTPSubsystem eeGateway =
-         (HTTPSubsystem)mReg.get("eeGateway");
-         if (eeGateway == null) {
-         // i.e. standalone DRM
-        params.add(Constants.PR_GATEWAY_S_PORT, "-1");
-        params.add(Constants.PR_GATEWAY_PORT, "-1");
-        params.add(Constants.PR_GATEWAY_S_BACKLOG, "-1");
-        params.add(Constants.PR_GATEWAY_BACKLOG,"-1");
-        params.add(Constants.PR_GATEWAY_PORT_ENABLED,"false");
-        } else {
-        params.add(Constants.PR_GATEWAY_S_PORT, 
-        ""+eeGateway.getHTTPSPort());
-        params.add(Constants.PR_GATEWAY_PORT, 
-        ""+eeGateway.getHTTPPort());
-        params.add(Constants.PR_GATEWAY_S_BACKLOG, 
-        ""+eeGateway.getHTTPBacklog());
-        params.add(Constants.PR_GATEWAY_BACKLOG,
-        ""+eeGateway.getHTTPSBacklog());
-        params.add(Constants.PR_GATEWAY_PORT_ENABLED,
-        eeGateway.getHTTPPortEnable());
-        }
-        */
-    }
-
-    private void getAdminConfig(NameValuePairs params) throws EBaseException {
-
-        /*
-         RemoteAdmin raAdmin = (RemoteAdmin)RemoteAdmin.getInstance();
-         params.add(Constants.PR_ADMIN_S_PORT, ""+raAdmin.getHTTPSPort());
-         params.add(Constants.PR_ADMIN_S_BACKLOG,""+raAdmin.getHTTPSBacklog());
-         */
-    }
-
-    private void getAgentConfig(NameValuePairs params) throws EBaseException {
-
-        /*
-         AgentGateway agent = (AgentGateway)mReg.get(AgentGateway.ID);
-         params.add(Constants.PR_AGENT_S_PORT, ""+agent.getHTTPSPort());
-         params.add(Constants.PR_AGENT_S_BACKLOG,""+agent.getHTTPSBacklog());
-         */
-    }
-
-    /**
      * Modifies database information.
      */
     private void setDBConfig(HttpServletRequest req,
@@ -2077,37 +1886,6 @@ private void 	createMasterKey(HttpServletRequest req,
        }
     }
 
-    private String getDefaultSigningAlg(String keyType, String messageDigest) {
-        if (keyType.equals("RSA")) {
-            if (messageDigest.equals("MD2")) {
-                return "MD2withRSA";
-            } else if (messageDigest.equals("MD5")) {
-                return "MD5withRSA";
-            } else if (messageDigest.equals("SHA1")) { 
-                return "SHA1withRSA";
-            } else if (messageDigest.equals("SHA256")) {
-                return "SHA256withRSA";
-            } else if (messageDigest.equals("SHA512")) {
-                return "SHA512withRSA";
-            }
-        } else if (keyType.equals("DSA")) {
-            if (messageDigest.equals("SHA1")) {
-                return "SHA1withDSA";
-            }
-        } else /* EC */ {
-            if (messageDigest.equals("SHA1")) {
-                return "SHA1withEC";
-            } else if (messageDigest.equals("SHA256")) {
-                return "SHA256withEC";
-            } else if (messageDigest.equals("SHA384")) {
-                return "SHA384withEC";
-            } else if (messageDigest.equals("SHA512")) {
-                return "SHA512withEC";
-            }
-        }
-        return null;
-    }
-
     private void updateCASignature(String nickname, KeyCertData properties, 
         ICryptoSubsystem jssSubSystem) throws EBaseException {
         String alg = jssSubSystem.getSignatureAlgorithm(nickname);
